Stock Transfer Lines
The stock transfer lines resource.
Basehttps://rest.carbon.ms/stockTransferLines
GET
/stockTransferLinesList stock transfer liness
Retrieve a paginated list of stock transfer liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/stockTransferLines
curl --request GET \
--url 'https://rest.carbon.ms/stockTransferLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"jobId": "xyz789",
"jobMaterialId": "xyz789",
"itemId": "xyz789",
"fromStorageUnitId": "xyz789",
"toStorageUnitId": "xyz789"
}
]GET
/stockTransferLinesRetrieve a stock transfer lines
Fetch a single stock transfer lines by filtering on `id`.
Query parameters
idstringMatch on the stock transfer lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/stockTransferLines
curl --request GET \
--url 'https://rest.carbon.ms/stockTransferLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"jobId": "xyz789",
"jobMaterialId": "xyz789",
"itemId": "xyz789",
"fromStorageUnitId": "xyz789",
"toStorageUnitId": "xyz789"
}